### Method

# Ide Notification ref_icon

#### Declaration

    GIcon*
    ide_notification_ref_icon (
      IdeNotification* self
    )

#### Description

Gets the icon for the notification, and returns a new reference to the `GIcon`.

Available since: | 3.32

#### Return value

Returns: | `GIcon`
| A `GIcon` or `NULL`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.